Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.VersionedTestPastContent

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestPastContent
          rice.p2p.past.testing.PastRegrTest.VersionedTestPastContent

All Implemented Interfaces:
  java.io.Serializable, PastContent

Direct Known Subclasses:
  PastRegrTest.NonOverwritingTestPastContent

Enclosing class:
  PastRegrTest

    protected static class PastRegrTest.VersionedTestPastContent

extends PastRegrTest.TestPastContent

See Also:
  Serialized Form

Field Summary
`protected int` | `version`

Fields inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`existing, id`

Constructor Summary
`PastRegrTest.VersionedTestPastContent(Id id, int version)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`checkInsert, getHandle, getId, isMutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    protected int version

Constructor Detail

### PastRegrTest.VersionedTestPastContent

    public PastRegrTest.VersionedTestPastContent(Id id,
                                                 int version)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PastRegrTest.TestPastContent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PastRegrTest.TestPastContent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.